int sem_wait(sem_t* sem){
    if(pthread_mutex_lock(&sem->mutex))
        return -1;
    while(1){
        if(sem->counter==0){
            if(pthread_cond_wait(&sem->cond,&sem->mutex)){
                pthread_mutex_unlock(&sem->mutex);
                return -1;
            }
        }
        if(sem->counter>0)
            break;
    }
    sem->counter--;
    if(pthread_mutex_unlock(&sem->mutex))
        return -1;
    return 0;
}
