#include <stdio.h>
#include "MyIterationArguments.h"

extern int MyIteration( float*, int, int, int );

int main( int argc, char *argv[] ) {
	int i;
	MyIterationArguments arguments = { 0, NULL, 0, 0 };
	FILE *pArgumentsFile = fopen( "example1.arg", "r" );
	XDR xdrStream;

	xdrstdio_create( &xdrStream, pArgumentsFile, XDR_DECODE );
	xdr_MyIterationArguments( &xdrStream, &arguments );
	for( i = 0; i < arguments.snapshot.snapshot_len; i++ )
		printf( " %f", arguments.snapshot.snapshot_val[ i ] );
	printf( "\n" );
	MyIteration( arguments.snapshot.snapshot_val,
				 arguments.snapshot.snapshot_len, 
				 arguments.iStart, arguments.iEnd );
	for( i = 0; i < arguments.snapshot.snapshot_len; i++ )
		printf( " %f", arguments.snapshot.snapshot_val[ i ] );
	printf( "\n" );
	return( 0 );
}
