#include <stdlib.h>
#include <unistd.h>
#include "MyIterationProg.h"

extern int MyIteration( float*, int, int, int );

MyIterationParameters *
my_iteration_proc_1( MyIterationParameters *pParameters,
					 struct svc_req        *pSvcReq ) {
	static MyIterationParameters result;
	static float *pSnapshot = NULL;

	if( !pSnapshot )
		pSnapshot = ( float * )malloc( sizeof( float ) *
                                  pParameters->snapshot.snapshot_len );
	pParameters->errorCode = MyIteration(
                                  pParameters->snapshot.snapshot_val,
								  pParameters->snapshot.snapshot_len, 
								  pParameters->iStart, pParameters->iEnd );
	memcpy( &result, pParameters, sizeof( result ) );
	memcpy( pSnapshot, pParameters->snapshot.snapshot_val,
			    sizeof( float ) * pParameters->snapshot.snapshot_len );
	result.snapshot.snapshot_val = pSnapshot;
	return( &result );
}
