import java.rmi.*;
import java.rmi.server.*;
import java.net.*;

public class MyIterationImplementation
		extends UnicastRemoteObject implements MyIterationInterface {
	public MyIterationImplementation() throws RemoteException {
		super();
	}
	public void helloWorld() {
		System.out.println( "Hello, world!" );
	}
	public static void main( String args[] ) throws Exception {
		String hostName = InetAddress.getLocalHost().getHostName();
		if( System.getSecurityManager() == null )
			System.setSecurityManager( new RMISecurityManager() );
		Naming.rebind( "//" + hostName + "/MyIteration",
					   new MyIterationImplementation() );
	}
}
