#include <OB/CORBA.h>
#include <fstream.h>
#include <stdio.h>
#include "MyIterationInterface.h"
#define DIM 5
int main( int argc, char *argv[] )
{
	try {
		CORBA_ORB_var vOrb = CORBA_ORB_init( argc, argv );
		ifstream inStream( "MyIteration.ref" );
		char myIterationRef[  1000 ];
		inStream >> myIterationRef;
		inStream.close();
		CORBA_Object_var vCorbaObj =
                            vOrb->string_to_object( myIterationRef );
		assert( !CORBA_is_nil( vCorbaObj ) );
		MyIterationInterface_var vMyIteration =
							MyIterationInterface::_narrow( vCorbaObj );
		assert( !CORBA_is_nil( vMyIteration ) );
		CORBA_float tmpSnapshot[ DIM ];
		myVector snapshot( DIM, DIM, tmpSnapshot );
		for( int i = 0; i < DIM; i++ )
			snapshot[ i ] = i + 1;
		while( !0 ) {
        	for( i = 0; i < DIM; i++ )
            	printf( " %f", snapshot[ i ] );
        	printf( "\n" );
			vMyIteration->myIteration( snapshot, 0, DIM - 1 );	// obliczenia
		}
	}
	catch( CORBA_SystemException& e )
    {
		return 1;
	}
	return 0;
}
