using System;
using System.Runtime.Remoting;
using System.Runtime.Remoting.Channels;
using System.Runtime.Remoting.Channels.Http;
using Biblioteka;

namespace Klient
{
    class ObliczKlient
    {
        public static void Main( string[] args )
        {
            // Pierwszym parametrem wprowadzanym z linii polece jest nazwa komputera zdalnego
            String adres="http://"+args[0]+":5000/Kalkulator";
            // Definicja kanau
            HttpChannel chan = new HttpChannel();
            // Rejestracja kanau
            ChannelServices.RegisterChannel(chan);
            try
            {
                // Tworzenie klasy poredniczcej dla zdalnego obiektu
                IOblicz kalkulator = (IOblicz) Activator.GetObject(typeof(IOblicz), adres);
                // Wykorzystanie obiektu
                Console.WriteLine("3.5*2.1="+kalkulator.Mnoz(3.5, 2.1));
            }
            catch (Exception e)
            {
                Console.WriteLine(e.Message);
            }
            Console.ReadLine();
        }
    }
}

