kernel void mnozenie_po_el(float x<>, float y<>,
                                       out float iloczyn<>) {
   iloczyn = x * y;
}

reduce void zsumowanie(float w<>, reduce float suma) {
   suma + = w;
}

#define dim 100

int main() {
   int i;
   float x[dim], y[dim], wynik;
   float xGPU<dim>;
   float yGPU<dim>;
   float xyGPU<dim>;

   for(i = 0;i < 100; i++){
        x[i] = 0.1 * i;
        y[i] = 3.14 * i;
   }

   streamRead(xGPU, x);
   streamRead(yGPU, y);
   mnozenie_po_el(xGPU, yGPU, xyGPU);
   zsumowanie(xyGPU, wynik);

   printf("iloczyn skalarny  = %f\n", wynik);
   return 0;
}

