/*
 * Odczytanie liczby procesw w komunikatorze oraz identyfikacja
 * procesu i komputera
 */
#include <stdio.h>
#include <mpi.h>

int main(argc, argv)
int argc;
char *argv[];
{
    char nazwa[40];
    int moj_no, lba_proc, dlug;
    MPI_Init(&argc, &argv);
    MPI_Comm_rank(MPI_COMM_WORLD, &moj_no);
    MPI_Comm_size(MPI_COMM_WORLD, &lba_proc);
    MPI_Get_processor_name(nazwa, &dlug);

    printf("Zglasza sie maszyna %s, proces %d z %d\n", nazwa, moj_no, lba_proc);

    MPI_Finalize();

    return 0;

}

