#include <jni.h>
#include "MyIterationImplementation.h"

int MyIteration( float *pSnapshot, int length, int iStart, int iEnd );

JNIEXPORT jint JNICALL
Java_MyIterationImplementation_myIterationWrapper(
							                    JNIEnv     *pEnv,
							                    jobject     object,
							                    jfloatArray snapshot,
							                    jint        iStart,
							                    jint        iEnd ) {
	jsize   length    = ( *pEnv )->GetArrayLength       ( pEnv, snapshot );
	jfloat *pSnapshot = ( *pEnv )->GetFloatArrayElements( pEnv,
                                                            snapshot, 0 );
	int errorCode = MyIteration( pSnapshot, length, iStart, iEnd );
	( *pEnv )->ReleaseFloatArrayElements( pEnv, snapshot, pSnapshot, 0 );
	return( errorCode );
}
