#include <OB/CORBA.h>
#include <stdio.h>
#include "MyIterationImplementation.h"

extern int MyIteration( float *pSnapshot,
                        int length, int iStart, int iEnd );


CORBA_Long
MyIterationImplementation::myIteration( myVector&  snapshot,
									    CORBA_Long iStart,
									    CORBA_Long iEnd )
{
	static float *pSnapshot = NULL;

	if( !pSnapshot )
		pSnapshot = new float[ snapshot.length() ];
	for( int i = 0; i < snapshot.length(); i++ )
		pSnapshot[ i ] = snapshot[ i ];
	int errorCode = MyIteration( pSnapshot,
                                 snapshot.length(), iStart, iEnd );
	for( i = 0; i < snapshot.length(); i++ )
		snapshot[ i ] = pSnapshot[ i ];
	return errorCode;
}
