#include <OB/CORBA.h>
#include <fstream.h>
#include "MyIterationImplementation.h"

int main( int argc, char *argv[] )
{
	try {
		CORBA_ORB_var vOrb = CORBA_ORB_init( argc, argv );
		CORBA_BOA_var vBoa = vOrb->BOA_init( argc, argv );
		MyIterationImplementation *pMyImpl
                            = new MyIterationImplementation;
		ofstream outStream( "MyIteration.ref" );
		outStream << vOrb->object_to_string( pMyImpl ) << endl;
		outStream.close();
		vBoa->impl_is_ready( CORBA_ImplementationDef::_nil() );
	}
	catch( CORBA_SystemException& e )
    {
		return 1;
	}
	return 0;
}
