#include <OB/CORBA.h>
#include <fstream.h>
#include "MyIterationImplementation.h"

int main( int argc, char *argv[] )
{
	try {
		CORBA_ORB_var vOrb = CORBA_ORB_init( argc, argv );
		CORBA_BOA_var vBoa = vOrb->BOA_init( argc, argv );
		MyIterationImplementation *pMyImpl
                            = new MyIterationImplementation;
// Zamiast wierszy 12--14. Pocztek zmian
		CORBA_Object_var vObject =
                vOrb->resolve_initial_references( "NameService" );
		CosNaming_NamingContext_var vNamingContext =
				CosNaming_NamingContext::_narrow( vObject );
		CosNaming_Name implName;
		implName.length( 1 );
		implName[ 0 ].id   = CORBA_string_dup( argv[ 1 ] );
		implName[ 0 ].kind = CORBA_string_dup( "" );
		vNamingContext->bind( implName, pMyImpl );
// Zamiast wierszy 12--14. Koniec zmian
        vBoa->impl_is_ready( CORBA_ImplementationDef::_nil() );
	}
	catch( CORBA_SystemException& e )
    {
		return 1;
	}
	return 0;
}
