using System;
using System.Runtime.Remoting;
using System.Runtime.Remoting.Channels;
using System.Runtime.Remoting.Channels.Http;
using Biblioteka;

namespace Klient
{
    class Klient
    {
        public static void Main( string[] args )
        {
            // Pierwszym parametrem wprowadzanym z linii polece jest nazwa komputera zdalnego
            String adres="http://"+args[0]+":5000/Licznik";
            // Definicja kanau
            HttpChannel chan = new HttpChannel();
            // Rejestracja kanau
            ChannelServices.RegisterChannel(chan);
            try
            {
                // Rejestracja nowego obiektu CAO
                RemotingConfiguration.RegisterActivatedClientType(typeof(Serwer.Licznik), adres);
                // Utwrz obiekt na serwerze
                Serwer.Licznik licznik = new Serwer.Licznik();
                // Wykorzystanie obiektu
                Console.WriteLine("Stan licznika: "+licznik.Zlicz());
            }
            catch (Exception e)
            {
                Console.WriteLine(e.Message);
            }
            Console.ReadLine();
        }
    }
}
